%define	name	xdaliclock
%define	version	2.24

Summary:	A melting digital clock
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Group:		Toys
URL:		http://www.jwz.org/xdaliclock/

BuildRequires:	libx11-devel libxext-devel libxt-devel
License:	MIT

Source0:	http://www.jwz.org/xdaliclock/%{name}-%{version}.tar.bz2
Patch0:		%{name}-shape-cycle.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The xdaliclock program displays a digital clock, with digits that merge
into the new digits as the time changes.  Xdaliclock can display the time
in 12 or 24 hour modes and can will display the date if you hold your
mouse button down over it.  Xdaliclock has two large fonts built in, but
is capable of animating other fonts.

Install the xdaliclock package if you want a fairly large clock, with
a melting special effect, for your system.

%prep
%setup -q
%patch0 -p1

%build
cd X11
CFLAGS="$RPM_OPT_FLAGS" ./configure	--prefix=%{_prefix} \
				--build=%{_target_platform}
%make

%install
rm -rf $RPM_BUILD_ROOT

cd X11
install -d -m 0755 %buildroot{%_bindir,%_mandir/man1}
make prefix=%buildroot/%_prefix install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=Xdaliclock
Comment=A melting digital clock
Exec=%{_bindir}/%{name} 
Icon=toys_section
Terminal=false
Type=Application
StartupNotify=true
Categories=Utility;Clock;Amusement;X-MandrivaLinux-MoreApplications-Games-Toys;
EOF

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 2.24-2mdv2009.0
+ Revision: 218427
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 2.24-2mdv2008.1
+ Revision: 179517
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sat Jun 16 2007 Adam Williamson <awilliamson@mandriva.org> 2.24-1mdv2008.0
+ Revision: 40272
- new release 2.24; spec clean; new X layout; XDG menu; rebuild for new era
- Import xdaliclock



* Thu Mar 30 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.23-1mdk
- New release 2.23

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.20-3mdk
- Rebuild

* Tue Feb 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.20-2mdk
- rebuild

* Mon Jan 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.20-1mdk
- 2.20
- generate menu item during %%install
- cleanups

* Wed Jul 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.19-1mdk
- 2.19
- no longer screw around with invalid compile flags
- --build

* Wed Jul 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.18-12mdk
- drop invalid compile flags

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 2.18-10mdk
- Fix %%post

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.18-9mdk
- Fix menu entry
- Use macros

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 2.18-8mdk
- added URL tag.

* Mon Aug 13 2001 dam's <damien@mandrakesoft.com> 2.18-7mdk
- rebuilt

* Mon Nov 27 2000 dam's <damien@mandrakesoft.com> 2.18-6mdk
- corrected menu, icons.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.18-5mdk
- automatically added BuildRequires

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 2.18-4mdk
- 32*32 icon
- some minor changes to spec.
- make package relocatable

* Tue Apr 18 2000 dam's <damiens@mandrakesoft.com> 2.18-3mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damiens@mandrakesoft.com> 2.18-2mdk
- Added menu entry.

* Mon Mar 27 2000 dam's <damiens@mandrakesoft.com> 2.18-1mdk
- Update to 2.18

* Tue Nov 02 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild for new environment

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Wed Feb 24 1999 Bill Nottingham <notting@redhat.com>
- wmconfig goes away...

* Tue Jan  5 1999 Bill Nottingham <notting@redhat.com>
- update to 2.14

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.13

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
